import Ember from 'ember'
{get} = Ember
export default Ember.Controller.extend
  breadcrumb_detail: Ember.computed 'globals.current_route.path', ->
    return 'grid??' unless currentPath = @get('globals.current_route.path')
    route_specific = currentPath.split('.')[4]
    switch route_specific
      when 'index' then t('project_instance.show.grid')
      when 'groups' then t('models.plural.project_instance_group')
      when 'actions' then t('models.plural.workflow_action_definition')
      else t("project_instance.show.#{route_specific}")
